Bug 7747 - Replace YUI autocomplete with jQueryUI
Summary: Replace YUI autocomplete with jQueryUI
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 5184 8241 8278
Blocks: 5481 8143
  Show dependency treegraph
 
Reported: 2012-03-19 15:23 UTC by Owen Leonard
Modified: 2013-12-05 20:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7747 - Replace YUI autocomplete with jQueryUI (284.48 KB, patch)
2012-04-30 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7747 - Replace YUI autocomplete with jQueryUI (137.86 KB, patch)
2012-05-23 16:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7747 - Replace YUI autocomplete with jQueryUI (137.97 KB, patch)
2012-05-23 18:51 UTC, Liz Rea
Details | Diff | Splinter Review
[PASSED QA] Bug 7747 - Replace YUI autocomplete with jQueryUI (137.99 KB, patch)
2012-05-25 19:13 UTC, Ian Walls
Details | Diff | Splinter Review
Bug 7747 [FOLLOW-UP] Replace YUI autocomplete with jQueryUI (35.12 KB, patch)
2012-05-29 15:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7747 [FOLLOW-UP] Replace YUI autocomplete with jQueryUI (482.57 KB, patch)
2012-06-01 14:12 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7747 [FOLLOW-UP] Replace YUI autocomplete with jQueryUI (482.86 KB, patch)
2012-06-09 16:43 UTC, Michael Davis
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-03-19 15:23:00 UTC
In order to make the transition to jQueryUI easier to test and get approval for, I will submit my jQueryUI work one "widget" at a time: autocomplete, tabs, datepicker, etc. First will be autocomplete as it touches the fewest files.
Comment 1 Owen Leonard 2012-04-30 12:54:43 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-05-23 16:17:29 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2012-05-23 18:51:18 UTC Comment hidden (obsolete)
Comment 4 Ian Walls 2012-05-25 19:13:37 UTC Comment hidden (obsolete)
Comment 5 Ian Walls 2012-05-25 19:15:31 UTC
Primarily a template-level patch, but with some underlying implementation changed for the auto-complete scripts.  Looks much, much better.

Search for patrons is done more efficiently now, but with less flexibility.  I think that's a reasonable tradeoff considering this is the auto-complete, and needs to be fast.

Marking Passed QA.
Comment 6 Paul Poulain 2012-05-28 08:48:13 UTC
QA comment:
This patch applies smoothly, and seems to work, but I've a question before pushing.
It adds many sprite images:
 create mode 100644 koha-tmpl/intranet-tmpl/prog/en/lib/jquery/images/ui-icons_222222_256x240.png
 create mode 100644 koha-tmpl/intranet-tmpl/prog/en/lib/jquery/images/ui-icons_2e83ff_256x240.png
 create mode 100644 koha-tmpl/intranet-tmpl/prog/en/lib/jquery/images/ui-icons_454545_256x240.png
 create mode 100644 koha-tmpl/intranet-tmpl/prog/en/lib/jquery/images/ui-icons_888888_256x240.png
 create mode 100644 koha-tmpl/intranet-tmpl/prog/en/lib/jquery/images/ui-icons_cd0a0a_256x240.png

What's the use of those images ? Can/should they be used in other places of Koha ?
Comment 7 Owen Leonard 2012-05-29 15:09:54 UTC Comment hidden (obsolete)
Comment 8 Paul Poulain 2012-05-31 16:10:18 UTC
(In reply to comment #7)
> This follow-up removes the default jQueryUI images and amends the staff
> client CSS to override calls to those images with a "Koha-native" style.


Thanks !
Comment 9 Owen Leonard 2012-06-01 14:12:13 UTC Comment hidden (obsolete)
Comment 10 Michael Davis 2012-06-09 16:43:42 UTC
Created attachment 10047 [details] [review]
[SIGNED-OFF] Bug 7747 [FOLLOW-UP] Replace YUI autocomplete with jQueryUI

This patch removes the template calls to the now-obsolete
YUI JS dependencies and removes the relevant YUI files themselves.

First two work perfectly, circulation search header and overdues patron
authorized value. Authorities search does not seem to work, old yui file
are still referenced in auth_finder.tt. The jquery works, but data set
is not found, or I messed up my authority record.

Signed-off-by: Koha <koha@koha.(none)>
Comment 11 Michael Davis 2012-06-10 08:35:38 UTC
I would apply this, and open a new bug to resolve the authorities autocomplete search and to remove the redundant js files from auth_finder.tt
Comment 12 Paul Poulain 2012-06-10 12:05:07 UTC
QA comment: removing code-only path, nothing to object from QA point of view :D

Note the signoff-er name does not appear, i'll fix it when pushing
Comment 13 Paul Poulain 2012-06-10 12:06:40 UTC
(In reply to comment #11)
> I would apply this, and open a new bug to resolve the authorities
> autocomplete search and to remove the redundant js files from auth_finder.tt

Agreed. Patch pushed, please provide follow-up in another bug (that could usefully be marking as dependant on this one)
Comment 14 Owen Leonard 2012-06-12 15:37:14 UTC
I've submitted a follow-up in Bug 8241.
 
> Authorities search does not seem to work

It's working fine for me, so please re-test.
Comment 15 Jared Camins-Esakov 2012-12-31 01:13:35 UTC
There have been no further reports of problems so I am marking this bug resolved.